diff --git a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookScreen.java b/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
similarity index 71%
rename from src/main/java/net/minecraft/client/gui/guidebook/GuidebookScreen.java
rename to src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
index 9553d54f6..48a986d6e 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookScreen.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
@@ -4,14 +4,14 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.TooltipElement;
-import net.minecraft.client.gui.guidebook.search.SearchPage;
-import net.minecraft.client.gui.guidebook.search.SearchSection;
+import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
+import net.minecraft.client.gui.guidebook.search.GuidebookSectionSearch;
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.OpenGLHelper;
 import net.minecraft.client.render.TextureManager;
-import net.minecraft.client.render.entity.ItemEntityRenderer;
+import net.minecraft.client.render.entity.EntityRendererItem;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.item.ItemStack;
@@ -26,14 +26,14 @@ import org.lwjgl.opengl.GL12;
 import java.util.List;
 import java.util.Random;
 
-public class GuidebookScreen
+public class ScreenGuidebook
     extends Screen {
     private static final int TABS_PER_SIDE = 8;
-    private static PageManager pageManager = null;
-    public static PageManager getPageManager() {
+    private static GuidebookPageManager guidebookPageManager = null;
+    public static GuidebookPageManager getPageManager() {
         GuidebookSections.init();
-        if (pageManager == null) pageManager = new PageManager();
-        return pageManager;
+        if (guidebookPageManager == null) guidebookPageManager = new GuidebookPageManager();
+        return guidebookPageManager;
     }
 
     public static boolean allowArrowKeyNavigation = true;
@@ -46,7 +46,7 @@ public class GuidebookScreen
     private GuidebookPage lastPage = null;
     private boolean canPlaySound = true;
 
-    public GuidebookScreen(Screen parent) {
+    public ScreenGuidebook(Screen parent) {
         super(parent);
         getPageManager();
     }
@@ -79,8 +79,8 @@ public class GuidebookScreen
     }
 
     private void updateTabList() {
-        boolean hasLeftPage = pageManager.getLeftPage() != null;
-        boolean hasRightPage = pageManager.getRightPage() != null;
+        boolean hasLeftPage = guidebookPageManager.getLeftPage() != null;
+        boolean hasRightPage = guidebookPageManager.getRightPage() != null;
         int left = width / 2 - xSize / (hasLeftPage && hasRightPage ? 2 : 4);
         int right = width / 2 + xSize / (hasLeftPage && hasRightPage ? 2 : 4);
         int top = height / 2 - ySize / 2;
@@ -93,17 +93,17 @@ public class GuidebookScreen
             tabs[i].setX(left - Tab.WIDTH);
             tabs[i].setY(top + i * (Tab.HEIGHT + 2) + 7);
             tabs[i].setFlipped(false);
-            if (sections.get(i) instanceof SearchableGuidebookSection && PageManager.searchQuery != null) {
-                List<GuidebookPage> search = ((SearchableGuidebookSection) sections.get(i)).searchPages(PageManager.searchQuery);
+            if (sections.get(i) instanceof SearchableGuidebookSection && GuidebookPageManager.searchQuery != null) {
+                List<GuidebookPage> search = ((SearchableGuidebookSection) sections.get(i)).searchPages(GuidebookPageManager.searchQuery);
                 if (search.size() > 0) {
-                    tabs[i].setActive(search.get(0) == pageManager.getLeftPage() || search.get(0) == pageManager.getRightPage());
+                    tabs[i].setActive(search.get(0) == guidebookPageManager.getLeftPage() || search.get(0) == guidebookPageManager.getRightPage());
                 } else {
                     tabs[i].setActive(false);
                 }
             } else {
                 List<GuidebookPage> pages = sections.get(i).getPages();
                 if (pages.size() > 0) {
-                    tabs[i].setActive((pages.get(0) == pageManager.getLeftPage()) || (pages.get(0) == pageManager.getRightPage()));
+                    tabs[i].setActive((pages.get(0) == guidebookPageManager.getLeftPage()) || (pages.get(0) == guidebookPageManager.getRightPage()));
                 } else {
                     tabs[i].setActive(false);
                 }
@@ -116,17 +116,17 @@ public class GuidebookScreen
             tabs[i].setY(top + (i - TABS_PER_SIDE) * (Tab.HEIGHT + 2) + 7);
             tabs[i].setFlipped(true);
             if (sections.get(i).getPages().size() > 0) {
-                if (sections.get(i) instanceof SearchableGuidebookSection && PageManager.searchQuery != null) {
-                    List<GuidebookPage> search = ((SearchableGuidebookSection) sections.get(i)).searchPages(PageManager.searchQuery);
+                if (sections.get(i) instanceof SearchableGuidebookSection && GuidebookPageManager.searchQuery != null) {
+                    List<GuidebookPage> search = ((SearchableGuidebookSection) sections.get(i)).searchPages(GuidebookPageManager.searchQuery);
                     if (search.size() > 0) {
-                        tabs[i].setActive(search.get(0) == pageManager.getLeftPage() || search.get(0) == pageManager.getRightPage());
+                        tabs[i].setActive(search.get(0) == guidebookPageManager.getLeftPage() || search.get(0) == guidebookPageManager.getRightPage());
                     } else {
                         tabs[i].setActive(false);
                     }
                 } else {
                     List<GuidebookPage> pages = sections.get(i).getPages();
                     if (pages.size() > 0) {
-                        tabs[i].setActive((pages.get(0) == pageManager.getLeftPage()) || (pages.get(0) == pageManager.getRightPage()));
+                        tabs[i].setActive((pages.get(0) == guidebookPageManager.getLeftPage()) || (pages.get(0) == guidebookPageManager.getRightPage()));
                     } else {
                         tabs[i].setActive(false);
                     }
@@ -142,14 +142,14 @@ public class GuidebookScreen
 
     @Override
     public void render(int xm, int ym, float renderPartialTicks) {
-        lastPage = pageManager.getLeftPage();
+        lastPage = guidebookPageManager.getLeftPage();
         scroll(Mouse.getDWheel());
 
         int xOffset = 0;
-        if (pageManager.getLeftPage() == null) {
+        if (guidebookPageManager.getLeftPage() == null) {
             xOffset = -158 / 2;
         }
-        if (pageManager.getRightPage() == null) {
+        if (guidebookPageManager.getRightPage() == null) {
             xOffset = 158 / 2;
         }
 
@@ -171,7 +171,7 @@ public class GuidebookScreen
                 count = 100;
             }
         }
-        pageManager.offsetPage(MathHelper.clamp(-direction, -1, 1) * 2 * count);
+        guidebookPageManager.offsetPage(MathHelper.clamp(-direction, -1, 1) * 2 * count);
         playPageSound();
         updateTabList();
     }
@@ -182,23 +182,23 @@ public class GuidebookScreen
 
         // Handle back button
         if (buttonNum == 3) {
-            pageManager.goBack();
+            guidebookPageManager.goBack();
             playPageSound();
             updateTabList();
             return;
         }
         if (buttonNum == 4) {
-            pageManager.goForward();
+            guidebookPageManager.goForward();
             playPageSound();
             updateTabList();
             return;
         }
 
         int xOffset = 0;
-        if (pageManager.getLeftPage() == null) {
+        if (guidebookPageManager.getLeftPage() == null) {
             xOffset = -158 / 2;
         }
-        if (pageManager.getRightPage() == null) {
+        if (guidebookPageManager.getRightPage() == null) {
             xOffset = 158 / 2;
         }
 
@@ -209,42 +209,42 @@ public class GuidebookScreen
         int left = width / 2 - xSize / 2 + xOffset;
         int right = width / 2 + xSize / 2 + xOffset;
 
-        if (pageManager.getLeftPage() != null && pageManager.hasPreviousPage()) {
+        if (guidebookPageManager.getLeftPage() != null && guidebookPageManager.hasPreviousPage()) {
             if (mx >= left && mx <= left + size && my >= top && my <= top + size) {
-                pageManager.offsetPage(-2);
+                guidebookPageManager.offsetPage(-2);
                 playPageSound();
                 updateTabList();
                 return;
             }
             if (mx >= left && mx <= left + size && my >= bottom - size && my <= bottom) {
-                pageManager.offsetPage(-2);
+                guidebookPageManager.offsetPage(-2);
                 playPageSound();
                 updateTabList();
                 return;
             }
         }
-        if (pageManager.getRightPage() != null && pageManager.hasNextPage()) {
+        if (guidebookPageManager.getRightPage() != null && guidebookPageManager.hasNextPage()) {
             if (mx >= right - size && mx <= right && my >= top && my <= top + size) {
-                pageManager.offsetPage(2);
+                guidebookPageManager.offsetPage(2);
                 playPageSound();
                 updateTabList();
                 return;
             }
             if (mx >= right - size && mx <= right && my >= bottom - size && my <= bottom) {
-                pageManager.offsetPage(2);
+                guidebookPageManager.offsetPage(2);
                 playPageSound();
                 updateTabList();
                 return;
             }
         }
 
-        if (pageManager.getLeftPage() != null && mx > left && mx < left + xSize / 2 && my > top && my < bottom) {
-            pageManager.getLeftPage().onMouseDown(left, top, mx, my, buttonNum);
+        if (guidebookPageManager.getLeftPage() != null && mx > left && mx < left + xSize / 2 && my > top && my < bottom) {
+            guidebookPageManager.getLeftPage().onMouseDown(left, top, mx, my, buttonNum);
             updateTabList();
             return;
         }
-        if (pageManager.getRightPage() != null && mx > left + xSize / 2 && mx < right && my > top && my < bottom) {
-            pageManager.getRightPage().onMouseDown(left + xSize / 2, top, mx, my, buttonNum);
+        if (guidebookPageManager.getRightPage() != null && mx > left + xSize / 2 && mx < right && my > top && my < bottom) {
+            guidebookPageManager.getRightPage().onMouseDown(left + xSize / 2, top, mx, my, buttonNum);
             updateTabList();
             return;
         }
@@ -261,10 +261,10 @@ public class GuidebookScreen
         if(eventKey != Keyboard.KEY_BACK) super.keyPressed(eventCharacter, eventKey, mx, my);
 
         int xOffset = 0;
-        if (pageManager.getLeftPage() == null) {
+        if (guidebookPageManager.getLeftPage() == null) {
             xOffset = -158 / 2;
         }
-        if (pageManager.getRightPage() == null) {
+        if (guidebookPageManager.getRightPage() == null) {
             xOffset = 158 / 2;
         }
 
@@ -273,22 +273,22 @@ public class GuidebookScreen
 
         if (allowArrowKeyNavigation) {
             if (eventKey == Keyboard.KEY_LEFT) {
-                pageManager.offsetPage(-2);
+                guidebookPageManager.offsetPage(-2);
                 updateTabList();
             }
             if (eventKey == Keyboard.KEY_RIGHT) {
-                pageManager.offsetPage(2);
+                guidebookPageManager.offsetPage(2);
                 updateTabList();
             }
         }
 
         boolean consumedInput = false;
-        if (pageManager.getLeftPage() != null) {
-            consumedInput |= pageManager.getLeftPage().keyTyped(eventCharacter, eventKey, left, top, mx, my);
+        if (guidebookPageManager.getLeftPage() != null) {
+            consumedInput |= guidebookPageManager.getLeftPage().keyTyped(eventCharacter, eventKey, left, top, mx, my);
             updateTabList();
         }
-        if (pageManager.getRightPage() != null) {
-            consumedInput |= pageManager.getRightPage().keyTyped(eventCharacter, eventKey, left + xSize / 2, top, mx, my);
+        if (guidebookPageManager.getRightPage() != null) {
+            consumedInput |= guidebookPageManager.getRightPage().keyTyped(eventCharacter, eventKey, left + xSize / 2, top, mx, my);
             updateTabList();
         }
 
@@ -301,7 +301,7 @@ public class GuidebookScreen
         for (Tab tab : tabs) {
             if (tab == null) return;
             if (tab.mouseOver(mouseX, mouseY)) {
-                pageManager.setCurrentPage(pageManager.getSectionIndex(tab.getSection()), true);
+                guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex(tab.getSection()), true);
                 playPageSound();
                 updateTabList();
                 return;
@@ -310,7 +310,7 @@ public class GuidebookScreen
     }
 
     private void playPageSound() {
-        if (!canPlaySound || lastPage == pageManager.getLeftPage()) return;
+        if (!canPlaySound || lastPage == guidebookPageManager.getLeftPage()) return;
         canPlaySound = false;
         Random r = new Random();
         mc.sndManager.playSound("random.page", SoundCategory.GUI_SOUNDS, 0.8f, 0.9f + (r.nextFloat() - r.nextFloat()) * 0.1f);
@@ -318,31 +318,31 @@ public class GuidebookScreen
 
     public void guiSpecificControllerInput(ControllerInput controller){
         if (controller.digitalPad.left.pressedThisFrame() || (controller.digitalPad.left.isPressed() && controller.digitalPad.left.getHoldTime() % 4 == 0)){
-            pageManager.offsetPage(-2);
+            guidebookPageManager.offsetPage(-2);
             updateTabList();
         }
         if (controller.digitalPad.right.pressedThisFrame() || (controller.digitalPad.right.isPressed() && controller.digitalPad.right.getHoldTime() % 4 == 0)){
-            pageManager.offsetPage(2);
+            guidebookPageManager.offsetPage(2);
             updateTabList();
         }
         if (controller.buttonRightShoulder.pressedThisFrame()){
-            Tab t = getTab(pageManager.getCurrentSection(), true);
+            Tab t = getTab(guidebookPageManager.getCurrentSection(), true);
             if (t != null){
-                int currentPage = pageManager.getPageIndex(pageManager.getLeftPage());
-                pageManager.setCurrentPage(pageManager.getSectionIndex(t.getSection()), true);
-                if (currentPage == pageManager.getPageIndex(pageManager.getLeftPage())){
-                    pageManager.offsetPage(2);
+                int currentPage = guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage());
+                guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex(t.getSection()), true);
+                if (currentPage == guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage())){
+                    guidebookPageManager.offsetPage(2);
                 }
                 updateTabList();
             }
         }
         if (controller.buttonLeftShoulder.pressedThisFrame()){
-            Tab t = getTab(pageManager.getCurrentSection(), false);
+            Tab t = getTab(guidebookPageManager.getCurrentSection(), false);
             if (t != null){
-                int currentPage = pageManager.getPageIndex(pageManager.getLeftPage());
-                pageManager.setCurrentPage(pageManager.getSectionIndex(t.getSection()), true);
-                if (currentPage == pageManager.getPageIndex(pageManager.getLeftPage())){
-                    pageManager.offsetPage(-2);
+                int currentPage = guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage());
+                guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex(t.getSection()), true);
+                if (currentPage == guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage())){
+                    guidebookPageManager.offsetPage(-2);
                 }
                 updateTabList();
             }
@@ -355,7 +355,7 @@ public class GuidebookScreen
             Tab t = tabs[i];
             if (t == null) continue;
             if (t.getSection() == section){
-                if (section instanceof SearchSection){
+                if (section instanceof GuidebookSectionSearch){
                     index = i + 1;
                     tab = tabs[i + 1];
                 } else {
@@ -379,14 +379,14 @@ public class GuidebookScreen
 
         canPlaySound = true;
 
-        if (pageManager.getLeftPage() != null) {
-            pageManager.getLeftPage().onTick();
+        if (guidebookPageManager.getLeftPage() != null) {
+            guidebookPageManager.getLeftPage().onTick();
         }
-        if (pageManager.getRightPage() != null) {
-            pageManager.getRightPage().onTick();
+        if (guidebookPageManager.getRightPage() != null) {
+            guidebookPageManager.getRightPage().onTick();
         }
 
-        allowArrowKeyNavigation = !((pageManager.getLeftPage() instanceof SearchPage || pageManager.getRightPage() instanceof SearchPage) && SearchPage.searchField.isFocused) || SearchPage.searchField.getText().isEmpty();
+        allowArrowKeyNavigation = !((guidebookPageManager.getLeftPage() instanceof GuidebookPageSearch || guidebookPageManager.getRightPage() instanceof GuidebookPageSearch) && GuidebookPageSearch.searchField.isFocused) || GuidebookPageSearch.searchField.getText().isEmpty();
     }
 
     private void drawTabs(int mouseX, int mouseY) {
@@ -411,8 +411,8 @@ public class GuidebookScreen
         int left = width / 2 - xSize / 2 + xOffset;
         int right = width / 2 + xSize / 2 + xOffset;
 
-        GuidebookPage leftPage = pageManager.getLeftPage();
-        GuidebookPage rightPage = pageManager.getRightPage();
+        GuidebookPage leftPage = guidebookPageManager.getLeftPage();
+        GuidebookPage rightPage = guidebookPageManager.getRightPage();
 
         if (leftPage != null) {
             leftPage.render(mc.textureManager, mc.font, left, top, mouseX, mouseY, partialTicks);
@@ -428,8 +428,8 @@ public class GuidebookScreen
         int left = width / 2 - xSize / 2 + xOffset;
         int right = width / 2 + xSize / 2 + xOffset;
 
-        GuidebookPage leftPage = pageManager.getLeftPage();
-        GuidebookPage rightPage = pageManager.getRightPage();
+        GuidebookPage leftPage = guidebookPageManager.getLeftPage();
+        GuidebookPage rightPage = guidebookPageManager.getRightPage();
 
         if (leftPage != null) {
             leftPage.renderOverlay(mc.textureManager, mc.font,left,top,mouseX,mouseY,partialTicks);
@@ -444,18 +444,18 @@ public class GuidebookScreen
         int left = width / 2 - xSize / 2 + xOffset;
         int right = width / 2 + xSize / 2 + xOffset;
 
-        GuidebookPage leftPage = pageManager.getLeftPage();
-        GuidebookPage rightPage = pageManager.getRightPage();
+        GuidebookPage leftPage = guidebookPageManager.getLeftPage();
+        GuidebookPage rightPage = guidebookPageManager.getRightPage();
 
         //find a way how to display the total number of pages properly maybe
         if (leftPage != null && leftPage.drawHeaders()) {
-            drawStringNoShadow(font, String.valueOf(pageManager.getPageIndex(leftPage)) /*+ "/" + pageManager.getNumPages()*/, left + 12, bottom - 20, 0xFF000000);
-            drawStringCenteredNoShadow(font, I18n.getInstance().translateKey(pageManager.getLeftPage().getSection().getTranslationKey()), left + 158 / 2, bottom - 20, 0xFF808080);
+            drawStringNoShadow(font, String.valueOf(guidebookPageManager.getPageIndex(leftPage)) /*+ "/" + guidebookPageManager.getNumPages()*/, left + 12, bottom - 20, 0xFF000000);
+            drawStringCenteredNoShadow(font, I18n.getInstance().translateKey(guidebookPageManager.getLeftPage().getSection().getTranslationKey()), left + 158 / 2, bottom - 20, 0xFF808080);
         }
         if (rightPage != null && rightPage.drawHeaders()) {
-            String str = String.valueOf(pageManager.getPageIndex(rightPage)); /*+ "/" + pageManager.getNumPages();*/
+            String str = String.valueOf(guidebookPageManager.getPageIndex(rightPage)); /*+ "/" + guidebookPageManager.getNumPages();*/
             drawStringNoShadow(font, str, right - 12 - font.getStringWidth(str), bottom - 20, 0xFF000000);
-            drawStringCenteredNoShadow(font, I18n.getInstance().translateKey(pageManager.getRightPage().getSection().getTranslationKey()), right - 158 / 2, bottom - 20, 0xFF808080);
+            drawStringCenteredNoShadow(font, I18n.getInstance().translateKey(guidebookPageManager.getRightPage().getSection().getTranslationKey()), right - 158 / 2, bottom - 20, 0xFF808080);
         }
     }
 
@@ -470,7 +470,7 @@ public class GuidebookScreen
         mc.textureManager.bindTexture(mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
 
         GL11.glColor4f(1, 1, 1, 1);
-        if (pageManager.getLeftPage() != null && pageManager.hasPreviousPage()) {
+        if (guidebookPageManager.getLeftPage() != null && guidebookPageManager.hasPreviousPage()) {
             if (mouseX >= left && mouseX <= left + size && mouseY >= top && mouseY <= top + size) {
                 drawTexturedModalRect(left, top, 24 * 0, 220, 24, 24);
             }
@@ -478,7 +478,7 @@ public class GuidebookScreen
                 drawTexturedModalRect(left, bottom - size, 24 * 2, 220, 24, 24);
             }
         }
-        if (pageManager.getRightPage() != null && pageManager.hasNextPage()) {
+        if (guidebookPageManager.getRightPage() != null && guidebookPageManager.hasNextPage()) {
             if (mouseX >= right - size && mouseX <= right && mouseY >= top && mouseY <= top + size) {
                 drawTexturedModalRect(right - size, top, 24 * 1, 220, 24, 24);
             }
@@ -490,7 +490,7 @@ public class GuidebookScreen
 
     private static class Tab
         extends Gui {
-        private static ItemEntityRenderer itemRenderer = new ItemEntityRenderer();
+        private static EntityRendererItem itemRenderer = new EntityRendererItem();
         private static final int WIDTH = 36;
         private static final int HEIGHT = 24;
         private final GuidebookSection section;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSlot.java b/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
similarity index 91%
rename from src/main/java/net/minecraft/client/gui/guidebook/GuidebookSlot.java
rename to src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
index 5c974c092..b2e51e94e 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSlot.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.guidebook;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.player.LocalPlayer;
+import net.minecraft.client.entity.player.PlayerLocal;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.achievement.stat.StatList;
@@ -16,7 +16,7 @@ import net.minecraft.core.player.inventory.slot.Slot;
 import java.util.List;
 import java.util.Random;
 
-public class GuidebookSlot extends Slot
+public class SlotGuidebook extends Slot
 {
 	public ItemStack item;
 	public RecipeSymbol symbol;
@@ -24,7 +24,7 @@ public class GuidebookSlot extends Slot
 	public int recipeIndex = 0;
 	public int recipeAmount = 0;
 	public boolean isOutput = false;
-	public GuidebookSlot(final int id, final int x, final int y, final RecipeSymbol symbol, final boolean discovered, final RecipeEntryBase<?,?,?> recipe)
+	public SlotGuidebook(final int id, final int x, final int y, final RecipeSymbol symbol, final boolean discovered, final RecipeEntryBase<?,?,?> recipe)
 	{
 		super(null, id, x, y);
 		this.index = id;
@@ -44,7 +44,7 @@ public class GuidebookSlot extends Slot
 
 
 	@Deprecated
-	public GuidebookSlot(final int id, final int x, final int y, final RecipeSymbol symbol, final boolean discovered)
+	public SlotGuidebook(final int id, final int x, final int y, final RecipeSymbol symbol, final boolean discovered)
 	{
 		super(null, id, x, y);
 		this.symbol = symbol;
@@ -57,7 +57,7 @@ public class GuidebookSlot extends Slot
 		this.recipe = null;
 	}
 
-	public GuidebookSlot setAsOutput(){
+	public SlotGuidebook setAsOutput(){
 		this.isOutput = true;
 		return this;
 	}
@@ -116,7 +116,7 @@ public class GuidebookSlot extends Slot
 	}
 	public boolean getIsDiscovered(Player player){
 		if (item == null || discovered) return true;
-		if (player instanceof LocalPlayer){
+		if (player instanceof PlayerLocal){
 			Minecraft mc = Minecraft.getMinecraft(this);
 			if (!mc.gameSettings.hideUndiscoveredItems.value) return true;
 		}
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java b/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java
similarity index 92%
rename from src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java
index 41e88577d..126b327fc 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookPageCover.java
@@ -6,9 +6,9 @@ import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.Global;
 
-public class CoverPage
+public class GuidebookPageCover
     extends GuidebookPage {
-    public CoverPage(GuidebookSection section) {
+    public GuidebookPageCover(GuidebookSection section) {
         super(section);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverSection.java b/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookSectionCover.java
similarity index 83%
rename from src/main/java/net/minecraft/client/gui/guidebook/cover/CoverSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookSectionCover.java
index 642e40d8c..8df4bfe26 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/cover/GuidebookSectionCover.java
@@ -2,21 +2,20 @@ package net.minecraft.client.gui.guidebook.cover;
 
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class CoverSection
+public class GuidebookSectionCover
     extends GuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
 
-    public CoverSection() {
+    public GuidebookSectionCover() {
         super("guidebook.section.cover", new ItemStack(Blocks.MOTION_SENSOR_ACTIVE), 0xA42D29, 0xC29B1C);
 
-        pages.add(new CoverPage(this));
+        pages.add(new GuidebookPageCover(this));
     }
 
     @Override
